PUT

Update domain

https://linkshift.app/api/v1/domains/{id}

Updates mutable domain fields such as name or assigned domain group.

Operation ID:updateDomainTags: Domains

Security

  • ApiKeyAuth: apiKey | header:X-API-Key | API key generated in LinkShift dashboard (`Organization -> Manage API keys`).

Parameters

Path parameters

idrequired
Type: stringDescription: Resource identifier.

Request body schema

requestBodyobjectrequired
Payload for updating a domain.
domainGroupIdstring
Target domain-group ID.
namestring
Fully qualified domain name.

Response schema

Updated domain

Content type: application/json
response 200objectrequired
Domain entity assigned to a domain group.
createdAtstringrequired
Creation timestamp (UTC).
format: date-time
deletedAtstring | nullnullable
Soft-delete timestamp in UTC when deleted.
format: date-time
domainGroupIdstringrequired
Parent domain-group ID.
idstringrequired
Domain ID.
namestringrequired
Fully qualified domain name.
updatedAtstringrequired
Last update timestamp (UTC).
format: date-time